#ifndef __MIFARE_CARD_H
#define __MIFARE_CARD_H

#ifdef __cplusplus
 extern "C" {
#endif

/******************************************************************************/
/* Include files                                                              */
/******************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdbool.h>
#include <stdint.h>

bool Mifare_Auth(uint8_t mode, uint8_t sector, uint8_t *mifare_key, uint8_t *card_uid);
bool Mifare_Blockset(uint8_t block, uint8_t *buff);
bool Mifare_Blockread(uint8_t block, uint8_t *buff);
bool Mifare_Blockwrite(uint8_t block, uint8_t *buff);
bool Mifare_Blockinc(uint8_t block, uint8_t *buff);
bool Mifare_Blockdec(uint8_t block, uint8_t *buff);
bool Mifare_Transfer(uint8_t block);
bool Mifare_Restore(uint8_t block);

#ifdef __cplusplus
}
#endif

#endif /* __MIFARE_CARD_H */
